{
#include <fstream.h>
ifstream data("xdiff.dat");


//number of event

int evtno = 0;

int run;
double dum2,dum3,dum4,dum5;

while(data >> run >> dum2 >> dum3 >> dum4 >> dum5  
      >> dum4 >> dum4 >> dum4 >> dum4
      >> dum4 >> dum4 >> dum4 >> dum4 ) {
  evtno++;
}
data.close();

//declartion & get data

data.open("xdiff.dat");
int runno[evtno];
Double_t idiff[evtno];
Double_t xdiff[evtno];
Double_t didiff[evtno];
Double_t dxdiff[evtno];
Double_t ilo[evtno];
Double_t avlo[evtno];
Double_t ihi[evtno];
Double_t avhi[evtno];
Double_t siglo[evtno];
Double_t sighi[evtno];
Double_t dsiglo[evtno];
Double_t dsighi[evtno];

Int_t i=0;
Double_t L = 25 ; //beam spot width(cm)
Double_t d = 1 ; // 1 layer width of 1cell
Double_t u = 1.09; // positive ions mobility
Double_t E = 1000 ;// electric field(kV/cm)
Double_t q = 1.6*1.e-19 ;// elementary charge
Double_t w = u*E   ; // positive ions drift velocity(cm/sec) initilize
Double_t positive[evtno];

cerr << "E =  " << E << "(kV/cm)  " << " positive ions velocity = " << w <<" (cm/sec)" <<  endl;

while (data >> runno[i] >> idiff[i] >> xdiff[i]   
       >> didiff[i] >> dxdiff[i]   
       >> ilo[i] >> avlo[i] >> ihi[i] >> avhi[i]
       >> siglo[i] >> sighi[i] >> dsiglo[i] >> dsighi[i] ) {
    positive[i]  =  (idiff[i]*1.e-9/(10*L*d*w))/q;
  	cerr << "positive ions density = " << positive[i] << endl;
	i++;
     
}
data.close();

gStyle->SetOptStat(0);
TH1F *waku = new TH1F("PDVSDDX", "I vs DeltaDX", 2, 0.,400.);

waku->SetMinimum(-200);
waku->SetMaximum(800);
waku->Draw();


//graph1 = new TGraphErrors(evtno,idiff,xdiff,didiff,dxdiff);
graph1 = new TGraphErrors(evtno,idiff,xdiff,didiff,dxdiff);
graph1->SetMarkerColor(2);
graph1->SetMarkerStyle(8);
graph1->SetMarkerSize(1.5);
graph1->Draw("P");

 tex = new TLatex(95.8333,-309.11,"Sense wire total current (nA)");
   tex->SetTextSize(0.05);
   tex->SetLineWidth(2);
   tex->Draw();
      tex = new TLatex(-32.0402,127.86,"#DeltaX_{on} - #DeltaX_{off} (#mum)");
   tex->SetTextSize(0.05);
   tex->SetTextAngle(90);
   tex->SetLineWidth(2);
   tex->Draw();


}
